# AR benchmark
AR <- function(Data,nowcast_date){
  
  hicp_lag <- ifelse(nowcast_date < 18, 2,1)
  
  # get the main data matrices
  Y <- Data$Y
  Y1 <- lag.xts(Y, k = hicp_lag, na.pad = F)
  
  
  Y <- window(Y, start = start(Y1))
  
  # Proceed with estimation
  Tot <- nrow(Y)
  N <- ncol(Y)
  
  tin <- Tot - 1 #Evaluation sample
  
  lags <- 0
  
  Y_1 <- coredata(Y1)
  Y <- coredata(Y)
  
  
  i = 1;j = 1
  pred <- rep(NA, N)
  for (i in 1:N) {
    
    st <- lags + 1
    en <- tin
    y <- Y[st:en,i]
    X <- cbind.data.frame(Y_1[(st):(en),i]
         )
    lm.mod <- lm(y~as.matrix(X), singular.ok = F)
    b <- lm.mod$coefficients
    
    X_p <- c(1,Y_1[Tot,i]
             
   )
    
    
    pred[i] <- X_p %*% b
  }
  pred
}

